package de.ozgcloud.eingang;

import org.aspectj.lang.annotation.Pointcut;

public class EingangAspectPointcuts {

	@Pointcut("execution(public * *(..))")
	void anyPublicMethods() {
		// aspect pointcut - no implementation needed
	}

	@Pointcut("within(de.ozgcloud..*)")
	void anythingInOzgCloud() {
		// aspect pointcut - no implementation needed
	}

	@Pointcut("anyPublicMethods() && anythingInOzgCloud()")
	void anyPublicMethodInOzgCloud() {
		// aspect pointcut - no implementation needed
	}

	@Pointcut("anyPublicMethodInOzgCloud() && target(de.ozgcloud.eingang.semantik.enginebased.EngineBasedMapper)")
	void publicMethodInEngineBasedMapper() {
		// aspect pointcut - no implementation needed
	}
}
