package de.ozgcloud.eingang;

import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.AfterReturning;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.springframework.stereotype.Component;

import de.ozgcloud.common.logging.AspectLoggingUtils;

@Aspect
@Component
public class EingangLoggingAspect extends EingangAspectPointcuts {

	@Before("publicMethodInEngineBasedMapper()")
	public void onEngineBasedMapper(JoinPoint joinPoint) {
		AspectLoggingUtils.log(joinPoint);
	}

	@AfterReturning(pointcut = "publicMethodInEngineBasedMapper()", returning = "returnValue")
	public void afterServiceMethod(JoinPoint joinPoint, Object returnValue) {
		AspectLoggingUtils.logReturnValue(joinPoint, returnValue);
	}

}
