package de.ozgcloud.eingang.common.formdata;

import java.util.UUID;

import de.ozgcloud.eingang.common.formdata.ServiceKonto.PostfachAddress;

public class PostfachAddressTestFactory {

	public static final int POSTFACH_ADDRESS_TYPE = 1;
	public static final String VERSION = "1.0";
	public static final String POSTFACH_ID = UUID.randomUUID().toString();

	public static PostfachAddress create() {
		return createBuilder().build();
	}

	private static PostfachAddress.PostfachAddressBuilder createBuilder() {
		return PostfachAddress.builder()
				.type(POSTFACH_ADDRESS_TYPE)
				.version(VERSION)
				.identifier(createStringBasedIdentifier());
	}

	private static PostfachAddressIdentifier createStringBasedIdentifier() {
		return StringBasedIdentifier.builder().postfachId(POSTFACH_ID).build();
	}
}