package de.ozgcloud.eingang.enterprise.entry;

import java.util.Optional;

import de.ozgcloud.eingang.common.formdata.FormData.FormDataControl;
import de.ozgcloud.eingang.common.formdata.FormData.Representations;

public class FormDataControlTestFactory {

	public static final String PRIMARY_FORM_DATA_REPRESENTATION = "document_JaS.json";
	public static final String PRIMARY_FORM_DATA_PDF_REPRESENTATION = "document.pdf";
	public static final String FORM_DATA_MODELL = "jugendsozialarbeit_an_schulen-DM.json";

	public static FormDataControl create() {
		return createBuilder().build();
	}

	public static FormDataControl.FormDataControlBuilder createBuilder() {
		return FormDataControl.builder()
				.representations(Optional.of(Representations.builder()
						.primaryFormDataRepresentation(PRIMARY_FORM_DATA_REPRESENTATION)
						.formDataModell(FORM_DATA_MODELL)
						.build()));
	}
}
