package de.ozgcloud.eingang.fim;

import static org.assertj.core.api.Assertions.*;

import java.util.Optional;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;

import de.ozgcloud.eingang.common.formdata.FormData.Representations;
import de.ozgcloud.eingang.common.formdata.FormDataControlTestFactory;

class FimBasedAdapterTest {

	@InjectMocks
	private FimBasedAdapter adapter;

	@Nested
	class TestGetEntryPoint {

		@Test
		void shouldReturnPrimaryRepresentation() {
			var result = adapter.getEntryPoint(FormDataControlTestFactory.create());

			assertThat(result).isEqualTo(FormDataControlTestFactory.PRIMARY_FORM_DATA_REPRESENTATION);
		}

		@Test
		void shouldReturnDefaultOnMissingRepresentations() {
			var result = adapter.getEntryPoint(FormDataControlTestFactory.createBuilder().representations(Optional.empty()).build());

			assertThat(result).isEqualTo(FimBasedAdapter.DEFAULT_FORMDATA_REPRESENTATION_NAME);
		}

		@Test
		void shouldReturnDefaultOnMissingPrimary() {
			var control = FormDataControlTestFactory.createBuilder().representations(Optional.of(Representations.builder().build())).build();

			var result = adapter.getEntryPoint(control);

			assertThat(result).isEqualTo(FimBasedAdapter.DEFAULT_FORMDATA_REPRESENTATION_NAME);
		}
	}

}
