package de.ozgcloud.eingang.fim;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;

import de.ozgcloud.eingang.common.formdata.FormDataTestFactory;
import de.ozgcloud.eingang.common.formdata.FormMetaDataTestFactory;
import de.ozgcloud.eingang.common.formdata.ZustaendigeStelle;

class ZustaendigeStelleMapperTest {

	@InjectMocks
	private ZustaendigeStelleMapper mapper;

	@Test
	void shouldSetOrganisationsEinheitId() {
		var parsed = mapper.parseFormData(FormDataTestFactory.createBuilder().clearZustaendigeStelles().build());

		assertThat(parsed.getZustaendigeStelles()).hasSize(1).first().extracting(ZustaendigeStelle::getOrganisationseinheitenId)
				.isEqualTo(FormMetaDataTestFactory.OE_ID);

//		assertThat(parsed.getZustaendigeStelle().getOrganisationseinheitenId()).isEqualTo(FormMetaDataTestFactory.OE_ID);
	}

	@Test
	void shouldWorkWithoutGivenZustaendigeStelle() {
		var parsed = mapper.parseFormData(FormDataTestFactory.createBuilder().clearZustaendigeStelles().build());

		assertThat(parsed.getZustaendigeStelles()).hasSize(1).first().extracting(ZustaendigeStelle::getOrganisationseinheitenId)
				.isNotNull();

//		assertThat(parsed.getZustaendigeStelle()).isNotNull();
	}

	@Test
	void shouldIgnoreMalformedDestinationId() {
		var oeid = mapper.extractOrganisationsEinheitId("quatsch");

		assertThat(oeid).isEmpty();
	}

}
